id: wordpress-mainwp-child

info:
  name: MainWP Child – Securely Connects to the MainWP Dashboard to Manage Multiple Sites Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/mainwp-child/
  metadata:
    plugin_namespace: mainwp-child
    wpscan: https://wpscan.com/plugin/mainwp-child
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/mainwp-child/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/mainwp-child.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502210080f75f1dcf6bbfc4ba502f56a1353b50a9f79fd431375790fe6f0c362131730b02203e39aa96d0c1b9015b63defa727eda632cf3310dbf2332c5ae04952db32ee8ae:922c64590222798bb761d5b6d8e72950